# Copyright © 2021 Arrikto Inc.  All Rights Reserved.

"""Snapshot a notebook."""

from rok_gw_client import RokClient

BUCKET_NAME = "mybucket"
# When running inside a notebook, leave this empty to create the snapshot in
# the current namespace.
BUCKET_NAMESPACE = None
NOTEBOOK_NAME = "mynotebook"
NOTEBOOK_NAMESPACE = "mynamespace"

# Initialize the Rok client
client = RokClient(account=BUCKET_NAMESPACE)

# Specify the snapshot parameters
commit_title = "Snapshot notebok %s" % NOTEBOOK_NAME
commit_message = "Snapshot notebook %s in namespace %s" % (NOTEBOOK_NAME,
                                                           NOTEBOOK_NAMESPACE)
params = {"name": NOTEBOOK_NAME,
          "namespace": NOTEBOOK_NAMESPACE,
          "commit_title": commit_title,
          "commit_message": commit_message}

# Create the snapshot
task_info = client.version_register(BUCKET_NAME,
                                    NOTEBOOK_NAME,
                                    "jupyter",
                                    params,
                                    wait=True)
print("Successfully snapshotted notebook %s in namespace %s via task %s"
      % (NOTEBOOK_NAME, NOTEBOOK_NAMESPACE, task_info["task"]["id"]))
